#!/bin/sh
# change VM , VM_DIR_NAME , Source , and Backup variable
VM="UEN-W2K12R2"
VM_DIR_NAME="UEN-W2K12R2"

Source="/vmfs/volumes/NasOs1/$VM_DIR_NAME"
  echo "Source dir = "$Source
Time=`date +"%Y%m%d"`
Backup="/vmfs/volumes/1.36T/backup/$Time/$VM_DIR_NAME"
echo "Backup dir = "$Backup

  mkdir -p $Backup
  cp $Source/*.vmx   $Backup
  cp $Source/*.vmxf  $Backup
  cp $Source/*.nvram $Backup
  cp $Source/*.vmsd  $Backup

vmid=$(vim-cmd vmsvc/getallvms | grep $VM | awk '{print $1}')
  echo "vm id = "$vmid

allvmdk=`ls $Source/|grep vmdk`
echo "get all vmdk => "$allvmdk
for entry in ${allvmdk}
do
  vmkfstools -i $Source/$entry $Backup/$entry -d thin
done

